# publish temperature

publish temperature

Endpoint: POST /v1/ingress/data-sources/{dataSource}/temperatures
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    temperature data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `comments` (string)

  - `wellbore_id` (string, required)
    Id of the wellore.

  - `items` (array, required)
    elements of temperature curve

  - `items.tvd` (number, required)
    tvd depth

  - `items.temperature` (number)
    temperature

  - `reference_elevation` (number, required)
    Depth reference point's elevation 
The value is vertical distance between reference point and MSL.  
Positive when above MSL.  Negative when below.

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

